Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

DAVE™ Forum Discussions

Not applicable
Hi all,

I 'm using XMC4500 step AB to do my project. When I select XMC4500 F144x1024 Stepping Code AB as MCU, then the CAN001 APP[1.0.6] can not work. But when I create another project with XMC4500 F144x1024 Stepping Code AA, it can successfully sent out the CAN message. All the setting are the same. So I am confused where's the difference. Attached file please find the project of Stepping Code AB for analyze. Thanks.



BR,
Morris
0 Likes
9 Replies
Not applicable
Hi morris,

There is a know issue in CAN001[1.0.6] which will be fixed soon. So the project built with CAN001[1.0.6] should not work on AA-step device as well. I was wondering that your working project on AA was using older version app?

Best regards,
Sophia
0 Likes
Not applicable
Hi Sofia,

After checking the project, I indeed use CAN001[1.0.0] rather than CAN001[1.0.6] in my project with AA-step device. The CAN001[1.0.6] does not work on AA step device as well as you say. So when the issue will be fixed. Is there any schedule?

Best regards
Morris
0 Likes
Not applicable
Hi Morris,

The official release should be around one week time.

Best regards,
Sophia
0 Likes
Not applicable
Hi all,
using CAN001 1.0.6 and relax kit. Although defined, no pin configuration in CAN001_Init(). It is the same problem as mentioned above (after several days of investigation). I removed 1.0.6 from my project in added 1.0.0 and it configures Rx and Tx...
Best regards
Detlef
0 Likes
Not applicable
Hi Detlef,

There are some details in eTicket 74926291.

Best regards,
Sophia
0 Likes
Not applicable
Hi Sophia,

since I think I am struggeling with a similar Problem:

Could you please provide the patched functions...

As I could see from the eTicket, there seams to be something missing in the code. From the eTicket
this should be in the function CAN001_Init(). Sine there is no var CAN_NodexRegs I think it is probably missing
in CAN001_lNodeInit(). Could you please Point me to the right place.

Volker
0 Likes
Not applicable
Hi Volker,

Did you update to the latest DAVE 3.1.8? This has been fixed in CAN001 [1.0.8]. Will update the eTicket soon.

Best regards,
Sophia
0 Likes
Not applicable
Hi Sophia,

thanks. It works with Dave 3.1.8.

..but I really hate These updates. If you are using Eclipse you always have plugins installed. There should be
a way to Import all plugins from the old Dave Version. It takes hours to get Dave back to the state you had before...
0 Likes
Not applicable
Hi Volker,

Thank you very much for the feedback. I will forward this to the responsible person.

Best regards,
Sophia
0 Likes